#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf version 1.11 
# Copyright (C) 1991, 1992, 1993, 1994 Free Software Foundation, Inc.

# This configure script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This script is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Save the original args to write them into config.status later.
configure_args="$*"

# Only options that might do something get documented.
ac_usage="Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
--build=BUILD		configure for building on BUILD [BUILD=HOST]
--disable-FEATURE	do not include FEATURE (same as --enable-FEATURE=no)
--enable-FEATURE[=ARG]	include FEATURE [ARG=yes]
--exec-prefix=PREFIX	install host dependent files in PREFIX [/usr/local]
--help			print this message
--host=HOST		configure for HOST [guessed]
--prefix=PREFIX		install host independent files in PREFIX [/usr/local]
--quiet, --silent	do not print \`checking for...' messages
--srcdir=DIR		find the sources in DIR [configure dir or ..]
--target=TARGET		configure for TARGET [TARGET=HOST]
--verbose		print results of checks
--version		print the version of autoconf that created configure
--with-PACKAGE[=ARG]	use PACKAGE [ARG=yes]
--without-PACKAGE	do not use PACKAGE (same as --with-PACKAGE=no)
--x-includes=DIR	X include files are in DIR
--x-libraries=DIR	X library files are in DIR"

# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
build=NONE
exec_prefix=
host=NONE
no_create=
nonopt=NONE
norecursion=
prefix=
program_prefix=
program_suffix=
program_transform_name=
silent=
srcdir=
target=NONE
verbose=
x_includes=
x_libraries=

ac_prev=
for ac_option
do

  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval "$ac_prev=\$ac_option"
    ac_prev=
    continue
  fi

  # Accept (but ignore some of) the important Cygnus configure
  # options, so we can diagnose typos.

  case "$ac_option" in
  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) ac_optarg= ;;
  esac

  case "$ac_option" in

  -build | --build | --buil | --bui | --bu | --b)
    ac_prev=build ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
    build="$ac_optarg" ;;

  -disable-* | --disable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
      echo "configure: $ac_feature: invalid feature name" >&2; exit 1
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    eval "enable_${ac_feature}=no" ;;

  -enable-* | --enable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
      echo "configure: $ac_feature: invalid feature name" >&2; exit 1
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "enable_${ac_feature}='$ac_optarg'" ;;

  # For backward compatibility, recognize -exec-prefix and --exec_prefix.
  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix="$ac_optarg" ;;

  -gas | --gas | --ga | --g)
    with_gas=yes ;; # Obsolete; use --with-gas.

  -help | --help | --hel | --he)
    cat << EOF
$ac_usage
EOF
    exit 0 ;;

  -host | --host | --hos | --ho)
    ac_prev=host ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host="$ac_optarg" ;;

  -nfp | --nfp | --nf)
    with_fp=no ;; # Obsolete; use --without-fp.

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c)
    no_create=yes ;;

  -norecursion | --norecursion | --norecursio | --norecursi \
  | --norecurs | --norecur | --norecu | --norec | --nore | --nor)
    norecursion=yes ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix="$ac_optarg" ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix="$ac_optarg" ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix="$ac_optarg" ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name="$ac_optarg" ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir="$ac_optarg" ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target="$ac_optarg" ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers)
    echo "configure generated by autoconf version 1.11"
    exit 0 ;;

  -with-* | --with-*)
    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
      echo "configure: $ac_package: invalid package name" >&2; exit 1
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "with_${ac_package}='$ac_optarg'" ;;

  -without-* | --without-*)
    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
      echo "configure: $ac_package: invalid package name" >&2; exit 1
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    eval "with_${ac_package}=no" ;;

  --x) with_x=yes ;; # Obsolete; use --with-x.

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes="$ac_optarg" ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries="$ac_optarg" ;;

  -*) echo "configure: $ac_option: invalid option; use --help to show usage" >&2; exit 1
    ;;

  *) 
    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
      echo "configure: warning: $ac_option: invalid host type" >&2
    fi
    if test "x$nonopt" != xNONE; then
      echo "configure: can only configure for one host and one target at a time" >&2; exit 1
    fi
    nonopt="$ac_option"
    ;;

  esac
done

if test -n "$ac_prev"; then
  echo "configure: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" >&2; exit 1
fi

trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15
trap 'rm -fr confdefs* $ac_clean_files' 0

# Save the original args if we used an alternate arg parser.
ac_configure_temp="${configure_args-$*}"
# Strip out --no-create and --norecursion so they don't pile up.
configure_args=
for ac_arg in $ac_configure_temp; do
  case "$ac_arg" in
  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c) ;;
  -norecursion | --norecursion | --norecursio | --norecursi \
  | --norecurs | --norecur | --norecu | --norec | --nore | --nor) ;;
  *) configure_args="$configure_args $ac_arg" ;;
  esac
done

# NLS nuisances.
# These must not be set unconditionally because not all systems understand
# e.g. LANG=C (notably SCO).
if test "${LC_ALL+set}" = 'set'; then LC_ALL=C; export LC_ALL; fi
if test "${LANG+set}"   = 'set'; then LANG=C;   export LANG;   fi

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=expect.h

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then `..'.
  ac_prog=$0
  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  srcdir=$ac_confdir
  if test ! -r $srcdir/$ac_unique_file; then
    srcdir=..
  fi
fi
if test ! -r $srcdir/$ac_unique_file; then
  if test x$ac_srcdir_defaulted = xyes; then
    echo "configure: can not find sources in ${ac_confdir} or .." >&2; exit 1
  else
    echo "configure: can not find sources in ${srcdir}" >&2; exit 1
  fi
fi
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='${CPP}'
ac_compile='${CC-cc} $CFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'



if test -z "$CC"; then
  # Extract the first word of `gcc', so it can be a program name with args.
  set ac_dummy gcc; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      CC="gcc"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$CC" && CC="cc"
test -n "$CC" && test -n "$verbose" && echo "	setting CC to $CC"

# Find out if we are using GNU C, under whatever name.
cat > conftest.c <<EOF
#ifdef __GNUC__
  yes
#endif
EOF
${CC-cc} -E conftest.c > conftest.out 2>&1
if egrep yes conftest.out >/dev/null 2>&1; then
  GCC=1 # For later tests.
fi
rm -f conftest*

test -n "$silent" || echo "checking how to run the C preprocessor"
if test -z "$CPP"; then
  # This must be in double quotes, not single quotes, because CPP may get
  # substituted into the Makefile and ``${CC-cc}'' will simply confuse
  # make.  It must be expanded now.
  CPP="${CC-cc} -E"
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdio.h>
Syntax Error
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  CPP="${CC-cc} -E -traditional-cpp"
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdio.h>
Syntax Error
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  CPP=/lib/cpp
fi
rm -f conftest*
fi
rm -f conftest*
fi
test -n "$verbose" && echo "	setting CPP to $CPP"

if test -z "$RANLIB"; then
  # Extract the first word of `ranlib', so it can be a program name with args.
  set ac_dummy ranlib; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      RANLIB="ranlib"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$RANLIB" && RANLIB="true"
test -n "$RANLIB" && test -n "$verbose" && echo "	setting RANLIB to $RANLIB"

CC=${CC-cc}


test -n "$silent" || echo "checking for pid_t in sys/types.h"
echo '#include "confdefs.h"
#include <sys/types.h>' > conftest.${ac_ext}
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "pid_t" conftest.out >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" pid_t to be "int"
echo "#define" pid_t "int" >> confdefs.h
DEFS="$DEFS -Dpid_t=int"
ac_sed_defs="${ac_sed_defs}\${ac_dA}pid_t\${ac_dB}pid_t\${ac_dC}int\${ac_dD}
\${ac_uA}pid_t\${ac_uB}pid_t\${ac_uC}int\${ac_uD}
\${ac_eA}pid_t\${ac_eB}pid_t\${ac_eC}int\${ac_eD}
"
}

fi
rm -f conftest*

test -n "$silent" || echo "checking for return type of signal handlers"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <signal.h>
#ifdef signal
#undef signal
#endif
extern void (*signal ()) ();
int main() { return 0; }
int t() { int i;; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" RETSIGTYPE to be "void"
echo "#define" RETSIGTYPE "void" >> confdefs.h
DEFS="$DEFS -DRETSIGTYPE=void"
ac_sed_defs="${ac_sed_defs}\${ac_dA}RETSIGTYPE\${ac_dB}RETSIGTYPE\${ac_dC}void\${ac_dD}
\${ac_uA}RETSIGTYPE\${ac_uB}RETSIGTYPE\${ac_uC}void\${ac_uD}
\${ac_eA}RETSIGTYPE\${ac_eB}RETSIGTYPE\${ac_eC}void\${ac_eD}
"
}


else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" RETSIGTYPE to be "int"
echo "#define" RETSIGTYPE "int" >> confdefs.h
DEFS="$DEFS -DRETSIGTYPE=int"
ac_sed_defs="${ac_sed_defs}\${ac_dA}RETSIGTYPE\${ac_dB}RETSIGTYPE\${ac_dC}int\${ac_dD}
\${ac_uA}RETSIGTYPE\${ac_uB}RETSIGTYPE\${ac_uC}int\${ac_uD}
\${ac_eA}RETSIGTYPE\${ac_eB}RETSIGTYPE\${ac_eC}int\${ac_eD}
"
}

fi
rm -f conftest*


test -n "$silent" || echo "checking for whether time.h and sys/time.h may both be included"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <sys/time.h>
#include <time.h>
int main() { return 0; }
int t() { struct tm *tp;; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining TIME_WITH_SYS_TIME"
echo "#define" TIME_WITH_SYS_TIME "1" >> confdefs.h
DEFS="$DEFS -DTIME_WITH_SYS_TIME=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}TIME_WITH_SYS_TIME\${ac_dB}TIME_WITH_SYS_TIME\${ac_dC}1\${ac_dD}
\${ac_uA}TIME_WITH_SYS_TIME\${ac_uB}TIME_WITH_SYS_TIME\${ac_uC}1\${ac_uD}
\${ac_eA}TIME_WITH_SYS_TIME\${ac_eB}TIME_WITH_SYS_TIME\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*


#
# On a few systems, libm.a is the same as libc.a
#
test -n "$silent" || echo "checking for sin"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_sin) || defined (__stub___sin)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char sin(); sin();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  LIBS="${LIBS} -lm" ; test -n "$verbose" && echo "	Adding -lm to library list"
fi
rm -f conftest*

#
# Ok, lets find the tk source trees so we can use the headers
# If the directory (presumably symlink) named "tk" exists, use that one
# in preference to any others.  Same logic is used when choosing library
# and again with Tcl.
#
no_tk=true
echo "checking for Tk source directory"
TKHDIR=""
for i in $with_tkinclude `ls -d ${srcdir}/../tk* 2>/dev/null` ${srcdir}/../tk ; do
  if test -f $i/tk.h ; then
    TKHDIR="-I$i"
  fi
done
# if we can't find it, see if one is installed
if test x"$TKHDIR" = x ; then
  test -n "$silent" || echo "checking for tk.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <tk.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  installed=1

else
  rm -rf conftest*
  installed=0
fi
rm -f conftest*

  if test $installed -eq 0 ; then
    TKHDIR="# no Tk directory found"
    test -n "$verbose" && echo "	WARNING: Can't find Tk directory"
  fi
else
  test -n "$verbose" && echo "	defining TKHDIR to be $i"
  no_tk=
fi

#
# Ok, lets find the tk library
# First, look for one uninstalled.  
#
TKLIB=""
echo "checking for Tk library"
for i in $with_tklib `ls -d ../tk* 2>/dev/null` ../tk ; do
  if test -f "$i/libtk.a" ; then
    TKLIB=$i/libtk.a
  fi
done    
# If not found, look for installed version
if test x"$TKLIB" = x ; then
  ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -ltk"
ac_have_lib=""
test -n "$silent" || echo "checking for -ltk"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; installed=1
else
   :; installed=0
fi

  if test $installed -eq 1 ; then
    TKLIB="-ltk"
  fi
fi

# If still not found, assume Tk simply hasn't been built yet
if test x"$TKLIB" = x ; then
  for i in `ls -d ../tk* 2>/dev/null` ../tk ; do
    if test -f "$i/tk.h" ; then
      TKLIB=$i/libtk.a
    fi
  done    
fi

if test x"$TKLIB" = x ; then
    TKLIB="# no Tk library found"
    echo "	WARNING: Can't find Tk library"
    echo "      continuing, however you won't be able to build Tk-based programs"
else
    test -n "$verbose" && echo "	defining TKLIB to be $TKLIB"
fi

#
# Ok, lets find the tcl source trees so we can use the headers
#
# Warning: transition of version 9 to 10 will break this algorithm
# because 10 sorts before 9.
#
echo "checking for Tcl source directory"
TCLHDIR=""
for i in $with_tclinclude `ls -d ${srcdir}/../tcl* 2>/dev/null` ${srcdir}/../tcl ; do
  if test -f $i/tclInt.h ; then
    TCLHDIR="$i"
  fi
done
# if we can't find it, see if one is installed
if test x"$TCLHDIR" = x ; then
  test -n "$silent" || echo "checking for tclInt.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <tclInt.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  installed=1

else
  rm -rf conftest*
  installed=0
fi
rm -f conftest*

  if test $installed -eq 0 ; then
    TCLHDIR="# no Tcl directory found"
    echo "	ERROR: Can't find Tcl directory"
  fi
else
  test -n "$verbose" && echo "	defining TCLHDIR to be $i"
fi

#
# Ok, lets find the tcl library
# First, look for the latest uninstalled
#
TCLLIB=""
echo "checking for Tcl library"
for i in $with_tcllib `ls -d ../tcl* 2>/dev/null` ../tcl ; do
  if test -f "$i/libtcl.a" ; then
    TCLLIB=$i/libtcl.a
  fi
done    
# If not found, look for installed version
if test x"$TCLLIB" = x ; then
  ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -ltcl"
ac_have_lib=""
test -n "$silent" || echo "checking for -ltcl"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; installed=1
else
   :; installed=0
fi

  if test $installed -eq 1 ; then
    TCLLIB="-ltcl"
  fi
fi
# If still not found, assume Tcl simply hasn't been built yet
if test x"$TCLLIB" = x ; then
  for i in `ls -d ../tcl* 2>/dev/null` ../tcl ; do
    if test -f "$i/tcl.h" ; then
      TCLLIB=$i/libtcl.a
    fi
  done    
fi

if test x"$TCLLIB" = x ; then
    TCLLIB="# no Tcl library found"
    echo "	ERROR: Can't find Tcl library"
else
    test -n "$verbose" && echo "	defining TCLLIB to be $TCLLIB"
fi

# now that we've found the Tcl sources, configure the debugger
# this is a little tricky because it has its own configure script
# which produces a Makefile and cf file.  We only want the cf file,
# so switch to a temporary directory and run the debugger's configure.
# Then save the cf file and delete the rest.
#
# Incidentally, the debugger can't depend on Expect's cf file, because
# the debugger is designed to be independent of Expect.
# 
echo "configuring Tcl debugger"
tmpdir=/tmp/Dbg$$
mkdir $tmpdir
cp $TCLHDIR/tclInt.h $tmpdir
cp $srcdir/Dbgconfigure $srcdir/Dbg.h $srcdir/Dbg_cf.h.in $tmpdir
cp $srcdir/DbgMkfl.in $tmpdir/Makefile.in
(cd $tmpdir;with_tclinclude=$tmpdir /bin/sh $tmpdir/Dbgconfigure)
cp $tmpdir/Dbg_cf.h $srcdir
rm -rf $tmpdir
echo "configured Tcl debugger"

#
# Look for various header files
#
test -n "$silent" || echo "checking for sys/sysmacros.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/sysmacros.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining HAVE_SYSMACROS_H"
echo "#define" HAVE_SYSMACROS_H "1" >> confdefs.h
DEFS="$DEFS -DHAVE_SYSMACROS_H=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_SYSMACROS_H\${ac_dB}HAVE_SYSMACROS_H\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_SYSMACROS_H\${ac_uB}HAVE_SYSMACROS_H\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_SYSMACROS_H\${ac_eB}HAVE_SYSMACROS_H\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for stdlib.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdlib.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining NO_STDLIB_H"
echo "#define" NO_STDLIB_H "1" >> confdefs.h
DEFS="$DEFS -DNO_STDLIB_H=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}NO_STDLIB_H\${ac_dB}NO_STDLIB_H\${ac_dC}1\${ac_dD}
\${ac_uA}NO_STDLIB_H\${ac_uB}NO_STDLIB_H\${ac_uC}1\${ac_uD}
\${ac_eA}NO_STDLIB_H\${ac_eB}NO_STDLIB_H\${ac_eC}1\${ac_eD}
"
}

fi
rm -f conftest*

test -n "$silent" || echo "checking for unistd.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <unistd.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining HAVE_UNISTD_H"
echo "#define" HAVE_UNISTD_H "1" >> confdefs.h
DEFS="$DEFS -DHAVE_UNISTD_H=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_UNISTD_H\${ac_dB}HAVE_UNISTD_H\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_UNISTD_H\${ac_uB}HAVE_UNISTD_H\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_UNISTD_H\${ac_eB}HAVE_UNISTD_H\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for sys/wait.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/wait.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining HAVE_SYS_WAIT_H"
echo "#define" HAVE_SYS_WAIT_H "1" >> confdefs.h
DEFS="$DEFS -DHAVE_SYS_WAIT_H=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_SYS_WAIT_H\${ac_dB}HAVE_SYS_WAIT_H\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_SYS_WAIT_H\${ac_uB}HAVE_SYS_WAIT_H\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_SYS_WAIT_H\${ac_eB}HAVE_SYS_WAIT_H\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for sys/stropts.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/stropts.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining HAVE_STROPTS_H"
echo "#define" HAVE_STROPTS_H "1" >> confdefs.h
DEFS="$DEFS -DHAVE_STROPTS_H=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_STROPTS_H\${ac_dB}HAVE_STROPTS_H\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_STROPTS_H\${ac_uB}HAVE_STROPTS_H\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_STROPTS_H\${ac_eB}HAVE_STROPTS_H\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for sys/sysconfig.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/sysconfig.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining HAVE_SYSCONF_H"
echo "#define" HAVE_SYSCONF_H "1" >> confdefs.h
DEFS="$DEFS -DHAVE_SYSCONF_H=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_SYSCONF_H\${ac_dB}HAVE_SYSCONF_H\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_SYSCONF_H\${ac_uB}HAVE_SYSCONF_H\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_SYSCONF_H\${ac_eB}HAVE_SYSCONF_H\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for sys/fcntl.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/fcntl.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining HAVE_SYS_FCNTL_H"
echo "#define" HAVE_SYS_FCNTL_H "1" >> confdefs.h
DEFS="$DEFS -DHAVE_SYS_FCNTL_H=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_SYS_FCNTL_H\${ac_dB}HAVE_SYS_FCNTL_H\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_SYS_FCNTL_H\${ac_uB}HAVE_SYS_FCNTL_H\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_SYS_FCNTL_H\${ac_eB}HAVE_SYS_FCNTL_H\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for sys/select.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/select.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining HAVE_SYS_SELECT_H"
echo "#define" HAVE_SYS_SELECT_H "1" >> confdefs.h
DEFS="$DEFS -DHAVE_SYS_SELECT_H=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_SYS_SELECT_H\${ac_dB}HAVE_SYS_SELECT_H\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_SYS_SELECT_H\${ac_uB}HAVE_SYS_SELECT_H\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_SYS_SELECT_H\${ac_eB}HAVE_SYS_SELECT_H\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for sys/time.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/time.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining HAVE_SYS_TIME_H"
echo "#define" HAVE_SYS_TIME_H "1" >> confdefs.h
DEFS="$DEFS -DHAVE_SYS_TIME_H=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_SYS_TIME_H\${ac_dB}HAVE_SYS_TIME_H\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_SYS_TIME_H\${ac_uB}HAVE_SYS_TIME_H\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_SYS_TIME_H\${ac_eB}HAVE_SYS_TIME_H\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for sys/ptem.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/ptem.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining HAVE_SYS_PTEM_H"
echo "#define" HAVE_SYS_PTEM_H "1" >> confdefs.h
DEFS="$DEFS -DHAVE_SYS_PTEM_H=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_SYS_PTEM_H\${ac_dB}HAVE_SYS_PTEM_H\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_SYS_PTEM_H\${ac_uB}HAVE_SYS_PTEM_H\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_SYS_PTEM_H\${ac_eB}HAVE_SYS_PTEM_H\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*




#
# Look for functions that may be missing
#
test -n "$silent" || echo "checking for memcpy"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_memcpy) || defined (__stub___memcpy)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char memcpy(); memcpy();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_MEMCPY"
echo "#define" HAVE_MEMCPY "1" >> confdefs.h
DEFS="$DEFS -DHAVE_MEMCPY=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_MEMCPY\${ac_dB}HAVE_MEMCPY\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_MEMCPY\${ac_uB}HAVE_MEMCPY\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_MEMCPY\${ac_eB}HAVE_MEMCPY\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for memmove"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_memmove) || defined (__stub___memmove)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char memmove(); memmove();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_MEMMOVE"
echo "#define" HAVE_MEMMOVE "1" >> confdefs.h
DEFS="$DEFS -DHAVE_MEMMOVE=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_MEMMOVE\${ac_dB}HAVE_MEMMOVE\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_MEMMOVE\${ac_uB}HAVE_MEMMOVE\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_MEMMOVE\${ac_eB}HAVE_MEMMOVE\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for waitpid"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_waitpid) || defined (__stub___waitpid)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char waitpid(); waitpid();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_WAITPID"
echo "#define" HAVE_WAITPID "1" >> confdefs.h
DEFS="$DEFS -DHAVE_WAITPID=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_WAITPID\${ac_dB}HAVE_WAITPID\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_WAITPID\${ac_uB}HAVE_WAITPID\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_WAITPID\${ac_eB}HAVE_WAITPID\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for wait4"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_wait4) || defined (__stub___wait4)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char wait4(); wait4();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_WAIT4"
echo "#define" HAVE_WAIT4 "1" >> confdefs.h
DEFS="$DEFS -DHAVE_WAIT4=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_WAIT4\${ac_dB}HAVE_WAIT4\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_WAIT4\${ac_uB}HAVE_WAIT4\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_WAIT4\${ac_eB}HAVE_WAIT4\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for sysconf"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_sysconf) || defined (__stub___sysconf)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char sysconf(); sysconf();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_SYSCONF"
echo "#define" HAVE_SYSCONF "1" >> confdefs.h
DEFS="$DEFS -DHAVE_SYSCONF=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_SYSCONF\${ac_dB}HAVE_SYSCONF\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_SYSCONF\${ac_uB}HAVE_SYSCONF\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_SYSCONF\${ac_eB}HAVE_SYSCONF\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for strftime"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_strftime) || defined (__stub___strftime)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char strftime(); strftime();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_STRFTIME"
echo "#define" HAVE_STRFTIME "1" >> confdefs.h
DEFS="$DEFS -DHAVE_STRFTIME=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_STRFTIME\${ac_dB}HAVE_STRFTIME\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_STRFTIME\${ac_uB}HAVE_STRFTIME\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_STRFTIME\${ac_eB}HAVE_STRFTIME\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for strchr"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_strchr) || defined (__stub___strchr)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char strchr(); strchr();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_STRCHR"
echo "#define" HAVE_STRCHR "1" >> confdefs.h
DEFS="$DEFS -DHAVE_STRCHR=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_STRCHR\${ac_dB}HAVE_STRCHR\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_STRCHR\${ac_uB}HAVE_STRCHR\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_STRCHR\${ac_eB}HAVE_STRCHR\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for timezone"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_timezone) || defined (__stub___timezone)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char timezone(); timezone();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_TIMEZONE"
echo "#define" HAVE_TIMEZONE "1" >> confdefs.h
DEFS="$DEFS -DHAVE_TIMEZONE=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_TIMEZONE\${ac_dB}HAVE_TIMEZONE\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_TIMEZONE\${ac_uB}HAVE_TIMEZONE\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_TIMEZONE\${ac_eB}HAVE_TIMEZONE\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*


echo checking if wait expects union
test -n "$silent" || echo "checking for union wait"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h> 
#include <sys/wait.h>
int main() { return 0; }
int t() { 
pid_t pid;
union wait x;
WIFEXITED(x);		/* Generates compiler error if WIFEXITED
			 * requires an int. */
#ifdef HAVE_WAITPID
	/* On some systems, WIFEXITED accepts a union and casts it to an int */
	/* so we also test if waitpid's prototype allows an int. */
	waitpid(pid,&x,0);
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining NO_UNION_WAIT"
echo "#define" NO_UNION_WAIT "1" >> confdefs.h
DEFS="$DEFS -DNO_UNION_WAIT=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}NO_UNION_WAIT\${ac_dB}NO_UNION_WAIT\${ac_dC}1\${ac_dD}
\${ac_uA}NO_UNION_WAIT\${ac_uB}NO_UNION_WAIT\${ac_uC}1\${ac_uD}
\${ac_eA}NO_UNION_WAIT\${ac_eB}NO_UNION_WAIT\${ac_eC}1\${ac_eD}
"
}

fi
rm -f conftest*


#
# check how signals work
#

# Check for the data type of the mask used in select().
# This picks up HP braindamage which defines fd_set and then 
# proceeds to ignore it and use int.
# Pattern matching on int could be loosened.
# Can't use ac_header_egrep since that doesn't see prototypes with K&R cpp.
echo checking mask type of select
if egrep "select\(size_t, int" /usr/include/sys/time.h >/dev/null 2>&1; then
  
{
test -n "$verbose" && \
echo "	defining" SELECT_MASK_TYPE to be "int"
echo "#define" SELECT_MASK_TYPE "int" >> confdefs.h
DEFS="$DEFS -DSELECT_MASK_TYPE=int"
ac_sed_defs="${ac_sed_defs}\${ac_dA}SELECT_MASK_TYPE\${ac_dB}SELECT_MASK_TYPE\${ac_dC}int\${ac_dD}
\${ac_uA}SELECT_MASK_TYPE\${ac_uB}SELECT_MASK_TYPE\${ac_uC}int\${ac_uD}
\${ac_eA}SELECT_MASK_TYPE\${ac_eB}SELECT_MASK_TYPE\${ac_eC}int\${ac_eD}
"
}

fi


# FIXME: check if alarm exists
echo checking to see if signals need to be re-armed
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

#include <signal.h>
#define RETSIGTYPE $retsigtype

void
sigquit_handler(n)
int n;
{
}

main()
{
	if (0 == fork()) {
		unlink("core");
		signal(SIGQUIT,sigquit_handler);
		kill(getpid(),SIGQUIT);
		kill(getpid(),SIGQUIT);
	} else {
		int status;

		wait(&status);
		exit(unlink("core")==-1?0:1);
	}
}
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  :
else
  
{
test -n "$verbose" && \
echo "	defining REARM_SIG"
echo "#define" REARM_SIG "1" >> confdefs.h
DEFS="$DEFS -DREARM_SIG=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}REARM_SIG\${ac_dB}REARM_SIG\${ac_dC}1\${ac_dD}
\${ac_uA}REARM_SIG\${ac_uB}REARM_SIG\${ac_uC}1\${ac_uD}
\${ac_eA}REARM_SIG\${ac_eB}REARM_SIG\${ac_eC}1\${ac_eD}
"
}

fi
rm -fr conftest*

# HPUX7 has trouble with the big cat so split it
# Owen Rees <rtor@ansa.co.uk> 29Mar93 
SEDDEFS="${SEDDEFS}CONFEOF
cat >> conftest.sed <<CONFEOF
"
#

# There are multiple versions of getpty, alas.
# I don't remember who has the first one, but Convex just added one
# so check for it.  Unfortunately, there is no header so the only
# reasonable way to make sure is to look it we are on a Convex.
# Gee, there's no uname(1) on a Convex either!

echo checking if we are on a Convex
# need this for later
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

#include <sys/utsname.h>
main()
{
  struct utsname namep;
  uname(&namep);
  /* return from strcmp is backwards, but then, so is exit! */
  exit(strcmp("ConvexOS",namep.sysname));
}
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  
{
test -n "$verbose" && \
echo "	defining CONVEX"
echo "#define" CONVEX "1" >> confdefs.h
DEFS="$DEFS -DCONVEX=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}CONVEX\${ac_dB}CONVEX\${ac_dC}1\${ac_dD}
\${ac_uA}CONVEX\${ac_uB}CONVEX\${ac_uC}1\${ac_uD}
\${ac_eA}CONVEX\${ac_eB}CONVEX\${ac_eC}1\${ac_eD}
"
}
 convex=1

else
  convex=0
fi
rm -fr conftest*

# both Next and pure Mach behave identically with respect
# to a few things, so just lump them together as "mach"

echo checking if we are running Mach
if test "`(uname) 2>/dev/null`" = Mach; then
  test -n "$verbose" && echo "	running Mach"
  mach=1
else
  test -n "$verbose" && echo "	not running Mach"
  mach=0
fi

echo checking if we are on a NeXT
if test -r /NextApps ; then
  test -n "$verbose" && echo "	on a NeXT"
  mach=1
else
  test -n "$verbose" && echo "	not on a NeXT"
  mach=0
fi

DEFAULT_STTY_ARGS="sane"

if test $mach -eq 1 ; then
	DEFAULT_STTY_ARGS="cooked"
fi

echo checking if stty reads from stdin or stdout
/bin/stty > /dev/null 2> /dev/null
if test $? -ne 0 ; then
    
{
test -n "$verbose" && \
echo "	defining STTY_READS_STDOUT"
echo "#define" STTY_READS_STDOUT "1" >> confdefs.h
DEFS="$DEFS -DSTTY_READS_STDOUT=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}STTY_READS_STDOUT\${ac_dB}STTY_READS_STDOUT\${ac_dC}1\${ac_dD}
\${ac_uA}STTY_READS_STDOUT\${ac_uB}STTY_READS_STDOUT\${ac_uC}1\${ac_uD}
\${ac_eA}STTY_READS_STDOUT\${ac_eB}STTY_READS_STDOUT\${ac_eC}1\${ac_eD}
"
}

else
    # some machines don't complain - just hardwire them
    if test $mach -eq 1 ; then
        
{
test -n "$verbose" && \
echo "	defining STTY_READS_STDOUT"
echo "#define" STTY_READS_STDOUT "1" >> confdefs.h
DEFS="$DEFS -DSTTY_READS_STDOUT=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}STTY_READS_STDOUT\${ac_dB}STTY_READS_STDOUT\${ac_dC}1\${ac_dD}
\${ac_uA}STTY_READS_STDOUT\${ac_uB}STTY_READS_STDOUT\${ac_uC}1\${ac_uD}
\${ac_eA}STTY_READS_STDOUT\${ac_eB}STTY_READS_STDOUT\${ac_eC}1\${ac_eD}
"
}

    fi
    # not sure about old convex but 5.2 definitely reads from stdout
    if test $convex -eq 1 ; then
        
{
test -n "$verbose" && \
echo "	defining STTY_READS_STDOUT"
echo "#define" STTY_READS_STDOUT "1" >> confdefs.h
DEFS="$DEFS -DSTTY_READS_STDOUT=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}STTY_READS_STDOUT\${ac_dB}STTY_READS_STDOUT\${ac_dC}1\${ac_dD}
\${ac_uA}STTY_READS_STDOUT\${ac_uB}STTY_READS_STDOUT\${ac_uC}1\${ac_uD}
\${ac_eA}STTY_READS_STDOUT\${ac_eB}STTY_READS_STDOUT\${ac_eC}1\${ac_eD}
"
}

    fi
    if test -r /bin/pyr ; then
        if /bin/pyr ; then
            
{
test -n "$verbose" && \
echo "	defining STTY_READS_STDOUT"
echo "#define" STTY_READS_STDOUT "1" >> confdefs.h
DEFS="$DEFS -DSTTY_READS_STDOUT=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}STTY_READS_STDOUT\${ac_dB}STTY_READS_STDOUT\${ac_dC}1\${ac_dD}
\${ac_uA}STTY_READS_STDOUT\${ac_uB}STTY_READS_STDOUT\${ac_uC}1\${ac_uD}
\${ac_eA}STTY_READS_STDOUT\${ac_eB}STTY_READS_STDOUT\${ac_eC}1\${ac_eD}
"
}

        fi
    fi
fi

# Look for various features to determine what kind of pty
# we have. For some weird reason, ac_compile_check would not
# work, but ac_test_program does.
#
echo checking for HP style pty allocation
# following test fails on DECstations and other things that don't grok -c
# but that's ok, since they don't have PTYMs anyway
if test -c /dev/ptym/ptyp0 2>>/dev/null ; then
    
{
test -n "$verbose" && \
echo "	defining HAVE_PTYM"
echo "#define" HAVE_PTYM "1" >> confdefs.h
DEFS="$DEFS -DHAVE_PTYM=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_PTYM\${ac_dB}HAVE_PTYM\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_PTYM\${ac_uB}HAVE_PTYM\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_PTYM\${ac_eB}HAVE_PTYM\${ac_eC}1\${ac_eD}
"
}

fi

echo checking for HP style pty-trapping
echo '#include "confdefs.h"
#include <sys/ptyio.h>' > conftest.${ac_ext}
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "struct.*request_info" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining HAVE_PTYTRAP"
echo "#define" HAVE_PTYTRAP "1" >> confdefs.h
DEFS="$DEFS -DHAVE_PTYTRAP=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_PTYTRAP\${ac_dB}HAVE_PTYTRAP\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_PTYTRAP\${ac_uB}HAVE_PTYTRAP\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_PTYTRAP\${ac_eB}HAVE_PTYTRAP\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*


echo checking for AIX new-style pty allocation
if test -r /dev/ptc -a -r /dev/pts ; then
    
{
test -n "$verbose" && \
echo "	defining HAVE_PTC_PTS"
echo "#define" HAVE_PTC_PTS "1" >> confdefs.h
DEFS="$DEFS -DHAVE_PTC_PTS=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_PTC_PTS\${ac_dB}HAVE_PTC_PTS\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_PTC_PTS\${ac_uB}HAVE_PTC_PTS\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_PTC_PTS\${ac_eB}HAVE_PTC_PTS\${ac_eC}1\${ac_eD}
"
}

fi

echo checking for SGI old-style pty allocation
if test -r /dev/ptc -a ! -r /dev/pts ; then
    
{
test -n "$verbose" && \
echo "	defining HAVE_PTC"
echo "#define" HAVE_PTC "1" >> confdefs.h
DEFS="$DEFS -DHAVE_PTC=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_PTC\${ac_dB}HAVE_PTC\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_PTC\${ac_uB}HAVE_PTC\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_PTC\${ac_eB}HAVE_PTC\${ac_eC}1\${ac_eD}
"
}

fi

echo checking for SVR4 style pty allocation
if test -r /dev/ptmx ; then
  
{
test -n "$verbose" && \
echo "	defining HAVE_PTMX"
echo "#define" HAVE_PTMX "1" >> confdefs.h
DEFS="$DEFS -DHAVE_PTMX=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_PTMX\${ac_dB}HAVE_PTMX\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_PTMX\${ac_uB}HAVE_PTMX\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_PTMX\${ac_eB}HAVE_PTMX\${ac_eC}1\${ac_eD}
"
}

  # aargg. Some systems need libpt.a to use /dev/ptmx
    echo checking for libpt.a
    test -n "$silent" || echo "checking for ptsname"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_ptsname) || defined (__stub___ptsname)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char ptsname(); ptsname();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  LIBS="${LIBS} -lpt"
fi
rm -f conftest*

fi

# In OSF/1 case, SVR4 are somewhat different.
# Gregory Depp <depp@osf.org> 17Aug93
echo checking for OSF/1 style pty allocation
if test -r /dev/ptmx_bsd ; then
    
{
test -n "$verbose" && \
echo "	defining HAVE_PTMX_BSD"
echo "#define" HAVE_PTMX_BSD "1" >> confdefs.h
DEFS="$DEFS -DHAVE_PTMX_BSD=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_PTMX_BSD\${ac_dB}HAVE_PTMX_BSD\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_PTMX_BSD\${ac_uB}HAVE_PTMX_BSD\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_PTMX_BSD\${ac_eB}HAVE_PTMX_BSD\${ac_eC}1\${ac_eD}
"
}

fi


tcgetattr=0
tcsetattr=0
test -n "$silent" || echo "checking for tcgetattr"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_tcgetattr) || defined (__stub___tcgetattr)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char tcgetattr(); tcgetattr();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  tcgetattr=1

fi
rm -f conftest*

test -n "$silent" || echo "checking for tcsetattr"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_tcsetattr) || defined (__stub___tcsetattr)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char tcsetattr(); tcsetattr();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  tcsetattr=1

fi
rm -f conftest*

if test $tcgetattr -eq 1 -a $tcsetattr -eq 1 ; then
    
{
test -n "$verbose" && \
echo "	defining POSIX"
echo "#define" POSIX "1" >> confdefs.h
DEFS="$DEFS -DPOSIX=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}POSIX\${ac_dB}POSIX\${ac_dC}1\${ac_dD}
\${ac_uA}POSIX\${ac_uB}POSIX\${ac_uC}1\${ac_uD}
\${ac_eA}POSIX\${ac_eB}POSIX\${ac_eC}1\${ac_eD}
"
}

fi

# first check for the pure bsd
echo checking for struct sgttyb
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sgtty.h>
main()
{
  struct sgttyb tmp;
  exit(0);
}
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  
{
test -n "$verbose" && \
echo "	defining HAVE_SGTTYB"
echo "#define" HAVE_SGTTYB "1" >> confdefs.h
DEFS="$DEFS -DHAVE_SGTTYB=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_SGTTYB\${ac_dB}HAVE_SGTTYB\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_SGTTYB\${ac_uB}HAVE_SGTTYB\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_SGTTYB\${ac_eB}HAVE_SGTTYB\${ac_eC}1\${ac_eD}
"
}
 PTY_TYPE=sgttyb

fi
rm -fr conftest*

if test $mach -eq 0 ; then

  # next check for the older style ttys
  # note that if we detect termio.h (only), we still set PTY_TYPE=termios
  # since that just controls which of pty_XXXX.c file is use and
  # pty_termios.c is set up to handle pty_termio.
  echo checking for struct termio
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <termio.h>
  main()
  {
    struct termio tmp;
    exit(0);
  }
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  
{
test -n "$verbose" && \
echo "	defining HAVE_TERMIO"
echo "#define" HAVE_TERMIO "1" >> confdefs.h
DEFS="$DEFS -DHAVE_TERMIO=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_TERMIO\${ac_dB}HAVE_TERMIO\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_TERMIO\${ac_uB}HAVE_TERMIO\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_TERMIO\${ac_eB}HAVE_TERMIO\${ac_eC}1\${ac_eD}
"
}
 PTY_TYPE=termios

fi
rm -fr conftest*

  # now check for the new style ttys (not yet posix)
  echo checking for struct termios
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <termios.h>
  main()
  {
    struct termios tmp;
    exit(0);
  }
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  
{
test -n "$verbose" && \
echo "	defining HAVE_TERMIOS"
echo "#define" HAVE_TERMIOS "1" >> confdefs.h
DEFS="$DEFS -DHAVE_TERMIOS=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_TERMIOS\${ac_dB}HAVE_TERMIOS\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_TERMIOS\${ac_uB}HAVE_TERMIOS\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_TERMIOS\${ac_eB}HAVE_TERMIOS\${ac_eC}1\${ac_eD}
"
}
 PTY_TYPE=termios

fi
rm -fr conftest*
fi

cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <termios.h>
main() {
#ifndef TIOCGWINSZ
	return 0;
#else
	return 1;
#endif
}
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  
{
test -n "$verbose" && \
echo "	defining HAVE_NO_TIOCGWINSZ_IN_TERMIOS_H"
echo "#define" HAVE_NO_TIOCGWINSZ_IN_TERMIOS_H "1" >> confdefs.h
DEFS="$DEFS -DHAVE_NO_TIOCGWINSZ_IN_TERMIOS_H=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_NO_TIOCGWINSZ_IN_TERMIOS_H\${ac_dB}HAVE_NO_TIOCGWINSZ_IN_TERMIOS_H\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_NO_TIOCGWINSZ_IN_TERMIOS_H\${ac_uB}HAVE_NO_TIOCGWINSZ_IN_TERMIOS_H\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_NO_TIOCGWINSZ_IN_TERMIOS_H\${ac_eB}HAVE_NO_TIOCGWINSZ_IN_TERMIOS_H\${ac_eC}1\${ac_eD}
"
}
 

fi
rm -fr conftest*

# finally check for Cray style ttys
echo checking for Cray-style ptys
SETUID="@:"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

main(){
#ifdef CRAY
	return 0;
#else
	return 1;
#endif
}

EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  PTY_TYPE=unicos SETUID="chmod u+s"

fi
rm -fr conftest*
#
# Check for select and/or poll. If both exist, we prefer select.
# if neither exists, define SIMPLE_EVENT.
#
select=0
poll=0
test -n "$silent" || echo "checking for select"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_select) || defined (__stub___select)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char select(); select();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  select=1

fi
rm -f conftest*

test -n "$silent" || echo "checking for poll"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_poll) || defined (__stub___poll)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char poll(); poll();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  poll=1

fi
rm -f conftest*

if test $select -eq 1 ; then
  EVENT_TYPE=select
  test -n "$verbose" && echo "	found select"
elif test $poll -eq 1 ; then
  EVENT_TYPE=poll
  test -n "$verbose" && echo "	found poll"
else
  EVENT_TYPE=simple
    test -n "$verbose" && echo "	using simple"
  
{
test -n "$verbose" && \
echo "	defining SIMPLE_EVENT"
echo "#define" SIMPLE_EVENT "1" >> confdefs.h
DEFS="$DEFS -DSIMPLE_EVENT=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}SIMPLE_EVENT\${ac_dB}SIMPLE_EVENT\${ac_dC}1\${ac_dD}
\${ac_uA}SIMPLE_EVENT\${ac_uB}SIMPLE_EVENT\${ac_uC}1\${ac_uD}
\${ac_eA}SIMPLE_EVENT\${ac_eB}SIMPLE_EVENT\${ac_eC}1\${ac_eD}
"
}

fi

for ac_func in _getpty
do
ac_tr_func=HAVE_`echo $ac_func | tr '[a-z]' '[A-Z]'`
test -n "$silent" || echo "checking for ${ac_func}"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_${ac_func}) || defined (__stub___${ac_func})
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char ${ac_func}(); ${ac_func}();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining ${ac_tr_func}"
echo "#define" ${ac_tr_func} "1" >> confdefs.h
DEFS="$DEFS -D${ac_tr_func}=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}${ac_tr_func}\${ac_dB}${ac_tr_func}\${ac_dC}1\${ac_dD}
\${ac_uA}${ac_tr_func}\${ac_uB}${ac_tr_func}\${ac_uC}1\${ac_uD}
\${ac_eA}${ac_tr_func}\${ac_eB}${ac_tr_func}\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*
done

for ac_func in getpty
do
ac_tr_func=HAVE_`echo $ac_func | tr '[a-z]' '[A-Z]'`
test -n "$silent" || echo "checking for ${ac_func}"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_${ac_func}) || defined (__stub___${ac_func})
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char ${ac_func}(); ${ac_func}();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining ${ac_tr_func}"
echo "#define" ${ac_tr_func} "1" >> confdefs.h
DEFS="$DEFS -D${ac_tr_func}=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}${ac_tr_func}\${ac_dB}${ac_tr_func}\${ac_dC}1\${ac_dD}
\${ac_uA}${ac_tr_func}\${ac_uB}${ac_tr_func}\${ac_uC}1\${ac_uD}
\${ac_eA}${ac_tr_func}\${ac_eB}${ac_tr_func}\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*
done


#
# check for timezones
#
echo checking for SV-style timezone
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

extern char *tzname[2];
extern int daylight;
main()
{
  exit(0);
}
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  
{
test -n "$verbose" && \
echo "	defining HAVE_SV_TIMEZONE"
echo "#define" HAVE_SV_TIMEZONE "1" >> confdefs.h
DEFS="$DEFS -DHAVE_SV_TIMEZONE=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_SV_TIMEZONE\${ac_dB}HAVE_SV_TIMEZONE\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_SV_TIMEZONE\${ac_uB}HAVE_SV_TIMEZONE\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_SV_TIMEZONE\${ac_eB}HAVE_SV_TIMEZONE\${ac_eC}1\${ac_eD}
"
}


fi
rm -fr conftest*

#
# Now check for the libraries. The first test merely looks in a few
# different places.
# 
if test "ISC_${ISC}" = "ISC_1"   ;    then
   # if on ISC check for -linet and add -linet to LIBS
   ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -linet"
ac_have_lib=""
test -n "$silent" || echo "checking for -linet"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   
{
test -n "$verbose" && \
echo "	defining HAVE_LIBINET"
echo "#define" HAVE_LIBINET "1" >> confdefs.h
DEFS="$DEFS -DHAVE_LIBINET=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_LIBINET\${ac_dB}HAVE_LIBINET\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_LIBINET\${ac_uB}HAVE_LIBINET\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_LIBINET\${ac_eB}HAVE_LIBINET\${ac_eC}1\${ac_eD}
"
}

   LIBS="${LIBS} -linet"
fi

   # if on ISC we need <sys/bsdtypes.h> to get FD_SET macros
   for ac_hdr in sys/bsdtypes.h
do
ac_tr_hdr=HAVE_`echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
test -n "$silent" || echo "checking for ${ac_hdr}"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <${ac_hdr}>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining ${ac_tr_hdr}"
echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
DEFS="$DEFS -D${ac_tr_hdr}=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}${ac_tr_hdr}\${ac_dB}${ac_tr_hdr}\${ac_dC}1\${ac_dD}
\${ac_uA}${ac_tr_hdr}\${ac_uB}${ac_tr_hdr}\${ac_uC}1\${ac_uD}
\${ac_eA}${ac_tr_hdr}\${ac_eB}${ac_tr_hdr}\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*
done

fi

#
# Look for X11
#

# If we find X, set shell vars x_includes and x_libraries to the paths.
no_x=true
if test "x$with_x" != xno; then
test -n "$silent" || echo "checking for X include and library files with xmkmf"
rm -fr conftestdir
if mkdir conftestdir; then
  cd conftestdir
  # Make sure to not put "make" in the Imakefile rules, since we grep it out.
  cat > Imakefile <<'EOF'
acfindx:
	@echo 'ac_im_incroot="${INCROOT}"; ac_im_usrlibdir="${USRLIBDIR}"; ac_im_libdir="${LIBDIR}"'
EOF
  if (xmkmf) >/dev/null 2>/dev/null && test -f Makefile; then
    no_x=
    # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
    eval `make acfindx 2>/dev/null | grep -v make`
    # Open Windows xmkmf reportedly sets LIBDIR instead of USRLIBDIR.
    if test ! -f $ac_im_usrlibdir/libX11.a && test -f $ac_im_libdir/libX11.a
    then
      ac_im_usrlibdir=$ac_im_libdir
    fi
    case "$ac_im_incroot" in
	/usr/include) ;;
	*) test -z "$x_includes" && x_includes="$ac_im_incroot" ;;
    esac
    case "$ac_im_usrlibdir" in
	/usr/lib | /lib) ;;
	*) test -z "$x_libraries" && x_libraries="$ac_im_usrlibdir" ;;
    esac
  fi
  cd ..
  rm -fr conftestdir
fi

if test -z "$ac_im_usrlibdir"; then
test -n "$silent" || echo "checking for X include and library files directly"
if test ".$x_direct_test_library" = . ; then
   x_direct_test_library='Xt'
fi
if test ".$x_direct_test_include" = . ; then
   x_direct_test_include='X11/Intrinsic.h'
fi
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <$x_direct_test_include>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  no_x=

else
  rm -rf conftest*
  for ac_dir in               \
    /usr/X11R6/include        \
    /usr/X11R5/include        \
    /usr/X11R4/include        \
                              \
    /usr/include/X11R6        \
    /usr/include/X11R5        \
    /usr/include/X11R4        \
                              \
    /usr/local/X11R6/include  \
    /usr/local/X11R5/include  \
    /usr/local/X11R4/include  \
                              \
    /usr/local/include/X11R6  \
    /usr/local/include/X11R5  \
    /usr/local/include/X11R4  \
                              \
    /usr/X11/include          \
    /usr/include/X11          \
    /usr/local/X11/include    \
    /usr/local/include/X11    \
                              \
    /usr/X386/include         \
    /usr/x386/include         \
    /usr/XFree86/include/X11  \
                              \
    /usr/include              \
    /usr/local/include        \
    /usr/unsupported/include  \
    /usr/athena/include       \
    /usr/local/x11r5/include  \
    /usr/lpp/Xamples/include  \
                              \
    /usr/openwin/include      \
    /usr/openwin/share/include \
    ; \
  do
    if test -r "$ac_dir/$x_direct_test_include"; then
      test -z "$x_includes" && x_includes=$ac_dir
      no_x=
      break
    fi
  done
fi
rm -f conftest*

# Check for the libraries.  First see if replacing the `include' by
# `lib' works.
ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -l"$x_direct_test_library""
ac_have_lib=""
test -n "$silent" || echo "checking for -l"$x_direct_test_library""
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; no_x=
else
   :; for ac_dir in `echo "$x_includes" | sed s/include/lib/` \
    /usr/X11R6/lib        \
    /usr/X11R5/lib        \
    /usr/X11R4/lib        \
                          \
    /usr/lib/X11R6        \
    /usr/lib/X11R5        \
    /usr/lib/X11R4        \
                          \
    /usr/local/X11R6/lib  \
    /usr/local/X11R5/lib  \
    /usr/local/X11R4/lib  \
                          \
    /usr/local/lib/X11R6  \
    /usr/local/lib/X11R5  \
    /usr/local/lib/X11R4  \
                          \
    /usr/X11/lib          \
    /usr/lib/X11          \
    /usr/local/X11/lib    \
    /usr/local/lib/X11    \
                          \
    /usr/X386/lib         \
    /usr/x386/lib         \
    /usr/XFree86/lib/X11  \
                          \
    /usr/lib              \
    /usr/local/lib        \
    /usr/unsupported/lib  \
    /usr/athena/lib       \
    /usr/local/x11r5/lib  \
    /usr/lpp/Xamples/lib  \
                          \
    /usr/openwin/lib      \
    /usr/openwin/share/lib \
    ; \
do
  for ac_extension in a so sl; do
    if test -r $ac_dir/lib${x_direct_test_library}.$ac_extension; then
      test -z "$x_libraries" && x_libraries=$ac_dir
      no_x=
      break 2
    fi
  done
done
fi

fi
test -n "$x_includes" && test -n "$verbose" && echo "	X11 headers are in $x_includes"
test -n "$x_libraries" && test -n "$verbose" && echo "	X11 libraries are in $x_libraries"
fi


#
# Let a user override everything with an environment variable
#
if test x"$X11HDIR" != x ; then
    XINCLUDES="-I$X11HDIR"
    test -n "$verbose" && echo "	Using $X11HDIR for X headers"
else
    if test x"$x_includes" != x ; then
	XINCLUDES="-I$x_includes"
    fi
fi

if test x"$X11LIBS" != x ; then
    XLIBS="-L$X11LIBS -lX11"
    test -n "$verbose" && echo "	Using $X11LIBS for X libraries"
else
    if test x"$x_libraries" != x ; then
	XLIBS="-L$x_libraries -lX11"
    else
	XLIBS="-lX11"
    fi
fi

#
# HP-UX wants this instead of libX11
#
if test x"$x_libraries" = x ; then
  ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lXwindow"
ac_have_lib=""
test -n "$silent" || echo "checking for -lXwindow"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; XLIBS="-lXwindow"
else
   :; 
fi

fi

#
# add libraries for SYSV
#
# -lsocket is broken on IRIX, according to autoconf notes
if test "`(uname) 2>/dev/null`" != IRIX; then
  ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lsocket"
ac_have_lib=""
test -n "$silent" || echo "checking for -lsocket"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; XLIBS="$XLIBS -lsocket"
else
   :; 
fi

fi
ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lnsl"
ac_have_lib=""
test -n "$silent" || echo "checking for -lnsl"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; XLIBS="$XLIBS -lnsl"
else
   :; 
fi


if test "$no_x" != "true" && test "$no_tk" != "true" ; then
  XPROGS="expectk \$(LIBEXPECTK)"
else
  XPROGS="# no X support on this system"
  XINCLUDES=""
  XLIBS=""
  test -n "$verbose" && echo "	WARNING: No X based programs will be built"
fi

#
# Set up makefile substitutions
#













# The preferred way to propogate these variables is regular @ substitutions.
if test -n "$prefix"; then
  ac_prsub="s%^prefix\\([ 	]*\\)=\\([ 	]*\\).*$%prefix\\1=\\2$prefix%"
else
  prefix=/usr/local
fi
if test -n "$exec_prefix"; then
  ac_prsub="$ac_prsub
s%^exec_prefix\\([ 	]*\\)=\\([ 	]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
else
  exec_prefix='${prefix}' # Let make expand it.
fi

# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
fi

# Quote sed substitution magic chars in DEFS.
cat >conftest.def <<EOF
$DEFS
EOF
ac_escape_ampersand_and_backslash='s%[&\\]%\\&%g'
DEFS=`sed "$ac_escape_ampersand_and_backslash" <conftest.def`
rm -f conftest.def
# Substitute for predefined variables.

trap 'rm -f config.status; exit 1' 1 2 15
echo creating config.status
rm -f config.status
cat > config.status <<EOF
#!/bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $configure_args

ac_cs_usage="Usage: config.status [--recheck] [--version] [--help]"
for ac_option
do
  case "\$ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create
    exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "config.status generated by autoconf version 1.11"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "\$ac_cs_usage"; exit 0 ;;
  *) echo "\$ac_cs_usage"; exit 1 ;;
  esac
done

trap 'rm -fr Makefile expect_cf.h conftest*; exit 1' 1 2 15
CC='$CC'
CPP='$CPP'
RANLIB='$RANLIB'
XINCLUDES='$XINCLUDES'
XLIBS='$XLIBS'
XPROGS='$XPROGS'
TCLHDIR='$TCLHDIR'
TCLLIB='$TCLLIB'
TKHDIR='$TKHDIR'
TKLIB='$TKLIB'
PTY_TYPE='$PTY_TYPE'
EVENT_TYPE='$EVENT_TYPE'
SETUID='$SETUID'
DEFAULT_STTY_ARGS='$DEFAULT_STTY_ARGS'
LIBS='$LIBS'
srcdir='$srcdir'
top_srcdir='$top_srcdir'
prefix='$prefix'
exec_prefix='$exec_prefix'
ac_prsub='$ac_prsub'
ac_vpsub='$ac_vpsub'
extrasub='$extrasub'
EOF
cat >> config.status <<\EOF

ac_given_srcdir=$srcdir

CONFIG_FILES=${CONFIG_FILES-"Makefile"}
for ac_file in .. ${CONFIG_FILES}; do if test "x$ac_file" != x..; then
  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    # The file is in a subdirectory.
    test ! -d "$ac_dir" && mkdir "$ac_dir"
    ac_dir_suffix="/$ac_dir"
  else
    ac_dir_suffix=
  fi

  # A "../" for each directory in $ac_dir_suffix.
  ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  case "$ac_given_srcdir" in
  .)  srcdir=.
      if test -z "$ac_dir_suffix"; then top_srcdir=.
      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  *) # Relative path.
    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
    top_srcdir="$ac_dots$ac_given_srcdir" ;;
  esac

  echo creating "$ac_file"
  rm -f "$ac_file"
  comment_str="Generated automatically from `echo $ac_file|sed 's|.*/||'`.in by configure."
  case "$ac_file" in
    *.c | *.h | *.C | *.cc | *.m )  echo "/* $comment_str */" > "$ac_file" ;;
    * )          echo "# $comment_str"     > "$ac_file" ;;
  esac
  sed -e "
$ac_prsub
$ac_vpsub
$extrasub
s%@CC@%$CC%g
s%@CPP@%$CPP%g
s%@RANLIB@%$RANLIB%g
s%@XINCLUDES@%$XINCLUDES%g
s%@XLIBS@%$XLIBS%g
s%@XPROGS@%$XPROGS%g
s%@TCLHDIR@%$TCLHDIR%g
s%@TCLLIB@%$TCLLIB%g
s%@TKHDIR@%$TKHDIR%g
s%@TKLIB@%$TKLIB%g
s%@PTY_TYPE@%$PTY_TYPE%g
s%@EVENT_TYPE@%$EVENT_TYPE%g
s%@SETUID@%$SETUID%g
s%@DEFAULT_STTY_ARGS@%$DEFAULT_STTY_ARGS%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
s%@prefix@%$prefix%g
s%@exec_prefix@%$exec_prefix%g
s%@DEFS@%-DHAVE_CONFIG_H%" $ac_given_srcdir/${ac_file}.in >> $ac_file
fi; done

# These sed commands are put into ac_sed_defs when defining a macro.
# They are broken into pieces to make the sed script easier to manage.
# They are passed to sed as "A NAME B NAME C VALUE D", where NAME
# is the cpp macro being defined and VALUE is the value it is being given.
# Each defining turns into a single global substitution command.
# Hopefully no one uses "!" as a variable value.
# Other candidates for the sed separators, like , and @, do get used.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s!^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
ac_dB='\([ 	][ 	]*\)[^ 	]*!\1#\2'
ac_dC='\3'
ac_dD='!g'
# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
ac_uA='s!^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_uB='\([ 	]\)!\1#\2define\3'
ac_uC=' '
ac_uD='\4!g'
# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_eA='s!^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_eB='$!\1#\2define\3'
ac_eC=' '
ac_eD='!g'
rm -f conftest.sed
EOF
# Turn off quoting long enough to insert the sed commands.
rm -f conftest.sh
cat > conftest.sh <<EOF
$ac_sed_defs
EOF

# Break up $ac_sed_defs (now in conftest.sh) because some shells have a limit
# on the size of here documents.

# Maximum number of lines to put in a single here document.
ac_max_sh_lines=9

while :
do
  # wc gives bogus results for an empty file on some AIX systems.
  ac_lines=`grep -c . conftest.sh`
  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
  rm -f conftest.s1 conftest.s2
  sed ${ac_max_sh_lines}q conftest.sh > conftest.s1 # Like head -9.
  sed 1,${ac_max_sh_lines}d conftest.sh > conftest.s2 # Like tail +10.
  # Write a limited-size here document to append to conftest.sed.
  echo 'cat >> conftest.sed <<CONFEOF' >> config.status
  cat conftest.s1 >> config.status
  echo 'CONFEOF' >> config.status
  rm -f conftest.s1 conftest.sh
  mv conftest.s2 conftest.sh
done
rm -f conftest.sh

# Now back to your regularly scheduled config.status.
cat >> config.status <<\EOF
# This sed command replaces #undef's with comments.  This is necessary, for
# example, in the case of _POSIX_SOURCE, which is predefined and required
# on some systems where configure will not decide to define it in
# expect_cf.h.
cat >> conftest.sed <<\CONFEOF
s,^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
CONFEOF
rm -f conftest.h
# Break up the sed commands because old seds have small limits.
ac_max_sed_lines=20

CONFIG_HEADERS=${CONFIG_HEADERS-"expect_cf.h"}
for ac_file in .. ${CONFIG_HEADERS}; do if test "x$ac_file" != x..; then
  echo creating $ac_file

  cp $ac_given_srcdir/$ac_file.in conftest.h1
  cp conftest.sed conftest.stm
  while :
  do
    ac_lines=`grep -c . conftest.stm`
    if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
    rm -f conftest.s1 conftest.s2 conftest.h2
    sed ${ac_max_sed_lines}q conftest.stm > conftest.s1 # Like head -20.
    sed 1,${ac_max_sed_lines}d conftest.stm > conftest.s2 # Like tail +21.
    sed -f conftest.s1 < conftest.h1 > conftest.h2
    rm -f conftest.s1 conftest.h1 conftest.stm
    mv conftest.h2 conftest.h1
    mv conftest.s2 conftest.stm
  done
  rm -f conftest.stm conftest.h
  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
  cat conftest.h1 >> conftest.h
  rm -f conftest.h1
  if cmp -s $ac_file conftest.h 2>/dev/null; then
    # The file exists and we would not be changing it.
    echo "$ac_file is unchanged"
    rm -f conftest.h
  else
    rm -f $ac_file
    mv conftest.h $ac_file
  fi
fi; done
rm -f conftest.sed



exit 0
EOF
chmod +x config.status
# Some shells look in PATH for config.status without the "./".
test -n "$no_create" || ${CONFIG_SHELL-/bin/sh} ./config.status

